Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.auth.beans
Class UserBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.auth.beans.UserBean

    public class UserBean

extends java.lang.Object

Version:
  $Id: UserBean.java 9458 2007-08-10 14:30:48Z lucian $
Author:
  tkavanagh

Constructor Summary
`UserBean()`

Method Summary
`void` | `copyAttributesFrom(User user)`
`void` | `copyFrom(User user)`
`protected void` | `copyRolesFrom(User user)`
`protected void` | `copyRolesTo(User user, AuthorityImportHandler importHandler)`
`void` | `copyTo(User user, AuthorityImportHandler importHandler)`
`ProfileAttributeBean[]` | `getAttributes()`
`java.lang.String` | `getEmailAddress()`
`java.lang.String` | `getFullName()`
`java.lang.String` | `getPassword()`
`java.lang.String[]` | `getRoleNames()`
`java.lang.String` | `getUsername()`
`boolean` | `isEnabled()`
`boolean` | `isExternallyDefined()`
`void` | `setAttributes(ProfileAttributeBean[] attributes)`
`void` | `setEmailAddress(java.lang.String emailAddress)`
`void` | `setEnabled(boolean enabled)`
`void` | `setExternallyDefined(boolean externallyDefined)`
`void` | `setFullName(java.lang.String fullName)`
`void` | `setPassword(java.lang.String password)`
`void` | `setRoleNames(java.lang.String[] roleNames)`
`void` | `setUsername(java.lang.String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserBean

    public UserBean()

Method Detail

### copyFrom

    public void copyFrom(User user)

### copyRolesFrom

    protected void copyRolesFrom(User user)

### copyAttributesFrom

    public void copyAttributesFrom(User user)

### copyTo

    public void copyTo(User user,
                       AuthorityImportHandler importHandler)

### copyRolesTo

    protected void copyRolesTo(User user,
                               AuthorityImportHandler importHandler)

### getEmailAddress

    public java.lang.String getEmailAddress()

### setEmailAddress

    public void setEmailAddress(java.lang.String emailAddress)

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### isExternallyDefined

    public boolean isExternallyDefined()

### setExternallyDefined

    public void setExternallyDefined(boolean externallyDefined)

### getFullName

    public java.lang.String getFullName()

### setFullName

    public void setFullName(java.lang.String fullName)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getRoleNames

    public java.lang.String[] getRoleNames()

### setRoleNames

    public void setRoleNames(java.lang.String[] roleNames)

### getAttributes

    public ProfileAttributeBean[] getAttributes()

### setAttributes

    public void setAttributes(ProfileAttributeBean[] attributes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.